Subject: Re: bug#58141: [Eglot] Default eglot-diagnostic-tag-unnecessary-face is problematic

From: Augusto Stoffel <[email-masked]>
Date: Sat, 08 Oct 2022 13:15:03 +0200

On Wed, 28 Sep 2022 at 13:39, Augusto Stoffel wrote:

> Finally, I think it's hard to be sure the result is readable in all
> custom themes, even all reasonable ones.

I initially wrote this as an abstract argument, but let me point out
that in the Modus Operandi theme (which is eminently reasonable), the
shadow face and font-lock-comment-face are equal.  So it's hard to
distinguish commented-out code from (presumably) unnecessary code.

Here's a concrete suggestion: when a language server diagnostic says
some code is "unnecessary", then apply _both_
eglot-diagnostic-tag-unnecessary-face and the usual Flymake face, with
that order of priority.  If the user so wishes, they can use
eglot-diagnostic-tag-unnecessary-face to override any attribute of the
flymake-* faces.  But, by default, the eglot-diagnostic-tag-* faces are
best kept empty.